All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.util
Class FlatButtons

    com.sas.swing.visuals.util.FlatButtons

All Implemented Interfaces:
  java.awt.event.ItemListener, java.awt.event.MouseListener, java.util.EventListener

    public class FlatButtons

implements java.awt.event.MouseListener, java.awt.event.ItemListener

Constructor Summary
`FlatButtons()`

Method Summary
`void` | `itemStateChanged(java.awt.event.ItemEvent event)`
`static void` | `listenToButton(javax.swing.AbstractButton button)`
`static void` | `listenToButtons(javax.swing.JComponent component)`
`void` | `mouseClicked(java.awt.event.MouseEvent event)`
`void` | `mouseEntered(java.awt.event.MouseEvent event)`
`void` | `mouseExited(java.awt.event.MouseEvent event)`
`void` | `mousePressed(java.awt.event.MouseEvent event)`
`void` | `mouseReleased(java.awt.event.MouseEvent event)`

Constructor Detail

### FlatButtons

    public FlatButtons()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent event)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent event)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent event)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent event)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent event)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent event)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

### listenToButtons

    public static void listenToButtons(javax.swing.JComponent component)

### listenToButton

    public static void listenToButton(javax.swing.AbstractButton button)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.